GisViewerServiceImpl (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.server

## Class GisViewerServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.gisviewer.server.GisViewerServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, GisViewerService
  Direct Known Subclasses:
    DefaultGisViewerServiceImpl

      public abstract class GisViewerServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements GisViewerService

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `BASE_LAYER`
    `protected static org.gcube.common.geoserverinterface.GeonetworkCommonResourceInterface.GeoserverMethodResearch` | `researchMethod`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisViewerServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract List<? extends GisViewerBaseLayerInterface>` | `getBaseLayersToAddGisViewer()`
    `List<? extends GisViewerBaseLayerInterface>` | `getBaseLayersToGisViewer()`
    `List<WfsTable>` | `getDataResult(List<LayerItem> layerItems, String bbox)`
    `List<WfsTable>` | `getDataResult(List<LayerItem> layerItems, String bbox, int maxWFSFeature)`
    `List<DataResult>` | `getDataResult(List<String> urls)`
    `protected org.gcube.common.geoserverinterface.GeoCaller` | `getGeoCaller()`
    `LayerItemsResult` | `getGroupsInfo(String groupName)`
    `LayerItemsResult` | `getLayersInfo(List<String> layersName)`
    `LayerItemsResult` | `getLayersInfoByLayerItems(List<LayerItem> layerItems)`
    `List<Property>` | `getListProperty(String geoserverUrl, LayerItem layer)` Added by Francesco M.
    `protected abstract GisViewerServiceParameters` | `getParameters()`
    `String` | `getTransectUrl()`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_LAYER

          protected static final boolean BASE_LAYER

      See Also:
        Constant Field Values

    - #### researchMethod

          protected static final org.gcube.common.geoserverinterface.GeonetworkCommonResourceInterface.GeoserverMethodResearch researchMethod

  - ### Constructor Detail

    - #### GisViewerServiceImpl

          public GisViewerServiceImpl()

  - ### Method Detail

    - #### getParameters

          protected abstract GisViewerServiceParameters getParameters()
                                                               throws Exception

      Throws:
        `Exception`

    - #### getBaseLayersToAddGisViewer

          protected abstract List<? extends GisViewerBaseLayerInterface> getBaseLayersToAddGisViewer()
                                                                                              throws Exception

      Throws:
        `Exception`

    - #### getGeoCaller

          protected org.gcube.common.geoserverinterface.GeoCaller getGeoCaller()
                                                                        throws Exception

      Throws:
        `Exception`

    - #### getDataResult

          public List<DataResult> getDataResult(List<String> urls)

      Specified by:
        `getDataResult` in interface `GisViewerService`

    - #### getGroupsInfo

          public LayerItemsResult getGroupsInfo(String groupName)

      Specified by:
        `getGroupsInfo` in interface `GisViewerService`

    - #### getLayersInfo

          public LayerItemsResult getLayersInfo(List<String> layersName)

      Specified by:
        `getLayersInfo` in interface `GisViewerService`

    - #### getBaseLayersToGisViewer

          public List<? extends GisViewerBaseLayerInterface> getBaseLayersToGisViewer()

      Specified by:
        `getBaseLayersToGisViewer` in interface `GisViewerService`

    - #### getLayersInfoByLayerItems

          public LayerItemsResult getLayersInfoByLayerItems(List<LayerItem> layerItems)

      Specified by:
        `getLayersInfoByLayerItems` in interface `GisViewerService`

    - #### getTransectUrl

          public String getTransectUrl()

      Specified by:
        `getTransectUrl` in interface `GisViewerService`

    - #### getDataResult

          public List<WfsTable> getDataResult(List<LayerItem> layerItems,
                                     String bbox)

      Specified by:
        `getDataResult` in interface `GisViewerService`

    - #### getDataResult

          public List<WfsTable> getDataResult(List<LayerItem> layerItems,
                                     String bbox,
                                     int maxWFSFeature)

      Specified by:
        `getDataResult` in interface `GisViewerService`
      Returns:

    - #### getListProperty

          public List<Property> getListProperty(String geoserverUrl,
                                       LayerItem layer)

      Description copied from interface: `GisViewerService`
      Added by Francesco M. 10/09/2013
      Specified by:
        `getListProperty` in interface `GisViewerService`
      Returns:

Copyright © 2014. All Rights Reserved.